#!/bin/bash
#***********************************************************#
# Easy MameCab LFS/BLFS script for AdvanceMAME/AdvanceMENU  #
# http://easymamecab.mameworld.net desmatic@mameworld.net   #
#***********************************************************#

#***********************************************************#
# The following entries can be modified, though the values  #
# given are highly recommended. Unless you're feeling       #
# reckless or you know what you are doing, I'd leave them   #
# alone.                                                    #
#***********************************************************#

LFS=/mnt/lfs			#lfs partition
LFSSRCDIR=/tmp_build_dir	#lfs parition build directory
set -v				#verbose i.e. chatty, talky, etc.
set -e				#exit script on unexpected Error
set -x				#show glob expansion

mkdir -p ${LFS}${LFSSRCDIR} || true
ln strip_debug ${LFS}${LFSSRCDIR} || true
ln module-init-tools* ${LFS}${LFSSRCDIR} || true
ln linux-2.6* ${LFS}${LFSSRCDIR} || true
cp -f kernel-2.6.x linux-2.6*.config ${LFS}/usr/src
tar xvjf linux-2.6*.bz2 -C ${LFS}/usr/src || tar xvzf linux-2.6*.gz -C ${LFS}/usr/src

chroot $LFS /usr/bin/env -i LFSSRCDIR=${LFSSRCDIR} \
    HOME=/root TERM=$TERM PS1='\u:\w\$ ' \
    PATH=/bin:/usr/bin:/sbin:/usr/sbin \
    LC_ALL=POSIX /bin/bash /usr/src/kernel-2.6.x &&
chroot $LFS /tools/bin/env -i \
    LC_ALL=POSIX HOME=/root TERM=$TERM PS1='\u:\w\$ ' \
    LFSSRCDIR=$LFSSRCDIR \
    PATH=/bin:/usr/bin:/sbin:/usr/sbin:/tools/bin \
    LC_ALL=POSIX /tools/bin/bash $LFSSRCDIR/strip_debug &&
echo 'Compressing man pages . . .' &&
chroot $LFS /usr/bin/env -i LFSSRCDIR=$LFSSRCDIR \
    HOME=/root TERM=$TERM PS1='\u:\w\$ ' \
    PATH=/bin:/usr/bin:/sbin:/usr/sbin \
    LC_ALL=POSIX /bin/bash /usr/bin/compressdoc --bzip2
rm -rf ${LFS}${LFSSRCDIR}
echo done.
