set -v
set -e
set -x
set +h
gcc --version

#**************************module-init********************
cd ${LFSSRCDIR}
tar xvjf module-init-tools*.bz2 || tar xvjf module-init-tools
cd module-init-tools*
./configure --prefix=/ &&
make
if [ ! -f /sbin/lsmod.old ]; then
        make moveold
fi
make install
cd $LFSSRCDIR
rm -rf $OLDPWD
#**************************module-init********************

#**************************kernel**************************
cd /usr/src/linux-2.6*
make mrproper
cp ../$(basename $PWD).config .config || true
make menuconfig;
cp .config /boot/$(basename $PWD).config
make all &&
make modules_install || exit
cp System.map /boot/System.map-$(basename $PWD)
cp arch/i386/boot/bzImage /boot/lfs-$(basename $PWD)
cd /usr/src
#**************************kernel**************************


#*****************************alsa-lib*********************
cd /usr/src
tar xvjf alsa-lib*.bz2 || tar xvzf alsa-lib*.gz
cd alsa-lib*
./configure --prefix=/usr &&
make &&
make install || exit
cd /usr/src
rm -rf $OLDPWD
cd /etc/rc.d/init.d
ln -sf ../init.d/alsasound ../rc0.d/K35alsasound
ln -sf ../init.d/alsasound ../rc1.d/K35alsasound
ln -sf ../init.d/alsasound ../rc2.d/S40alsasound
ln -sf ../init.d/alsasound ../rc3.d/S40alsasound
ln -sf ../init.d/alsasound ../rc4.d/S40alsasound
ln -sf ../init.d/alsasound ../rc5.d/S40alsasound
ln -sf ../init.d/alsasound ../rc6.d/K35alsasound
touch /etc/asound.state
#*****************************alsa-lib*********************


#*****************************alsa-util********************
cd /usr/src
tar xvjf alsa-utils*.bz2 || tar xvzf alsa-utils*.gz
cd alsa-utils*
./configure --prefix=/usr &&
make &&
make install || exit
cd /usr/src
rm -rf $OLDPWD
#*****************************alsa-util********************
echo build_kernel-2.6.x successful
